GuideLab API

List suppliers

Returns a paginated list of suppliers for the current organization. Supports search by name, code, or email and optional inclusion of inactive suppliers.

GET
/inventory/suppliers

Returns a paginated list of suppliers for the current organization. Supports search by name, code, or email and optional inclusion of inactive suppliers.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

page?integer
Range0 < value
Default1
limit?integer
Range0 < value <= 100
Default20
search?string
includeInactive?||
Defaultfalse

Response Body

application/json

curl -X GET "https://example.com/inventory/suppliers"
{  "data": [    {      "id": "string",      "organizationId": "string",      "name": "string",      "code": "string",      "contactName": "string",      "email": "string",      "phone": "string",      "website": "string",      "country": "string",      "currency": "string",      "isActive": true,      "createdAt": "string",      "updatedAt": "string",      "property1": null,      "property2": null    }  ],  "pagination": {    "page": 0,    "limit": 0,    "total": 0,    "totalPages": 0  }}
Empty
Empty